Page MenuHomePhabricator

same key, multiple values in cdb file
Closed, ResolvedPublic

Description

cdbdump on the interwiki.cdb cache file in production shows me some keys with multiple entries. Some examples below:

+14,29:_wiktionary:dk->1 dk.wiktionary.org/wiki/$1
+14,29:_wiktionary:dk->1
da.wiktionary.org/wiki/$1

+14,29:_wikisource:nb->1 nb.wikisource.org/wiki/$1
+14,29:_wikisource:nb->1
no.wikisource.org/wiki/$1

Can this possibly be useful? I mean, all our lookups are based on the key, right? Or is this some tricky thing having to do with changed language codes?


Version: wmf-deployment
Severity: normal

Details

Reference
bz43697

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 1:25 AM
bzimport set Reference to bz43697.
TTO added a comment.Sep 30 2014, 2:17 AM

This is causing some issues for the "nan:" interwiki. In the two cases in comment 0, the domains redirect to the same place, so it's a moot point. But for some reason, nan.wiktionary.org is not set up as a domain redirect to zh-min-nan.wiktionary.org. So this breaks for wikt:nan:.

Change 166281 had a related patch set uploaded by TTO:
Remove alias codes from langlist

https://gerrit.wikimedia.org/r/166281

Change 166282 had a related patch set uploaded by TTO:
Add aliases for all language aliases in langlist

https://gerrit.wikimedia.org/r/166282

TTO closed this task as Resolved.Mar 2 2015, 3:03 AM

Will be fixed the next time the interwiki.cdb file is regenerated.